#!/bin/sh

ARCH=$(arch)

# This is a workaround to Woodpecker's inability to give files it has just built to Docker BuildX to build new images.
# After compiling the binaries in the "build-and-format" step of woodpecker.yml, we upload them to the cloud and fetch them from here.

if [ "$ARCH" = "x86_64" ]; then
    echo "detected amd64"
    curl https://cloud.massivebox.net/api/public/dl/uZaDQXAa -o app
elif [ "$ARCH" = "aarch64" ]; then
    echo "deteched arm"
    curl https://cloud.massivebox.net/api/public/dl/EhM62nhf -o app
else
    echo "unsupported architecture"
    return 1
fi

return 0